import { OnInit, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TabPaneBodyComponent implements OnInit {
    private _prerender;
    active: boolean;
    loaded: boolean;
    content: TemplateRef<void>;
    get prerender(): boolean;
    set prerender(value: boolean);
    paneWrap: boolean;
    get wrapActive(): boolean;
    get wrapInactive(): boolean;
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabPaneBodyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabPaneBodyComponent, "[tab-pane-body]", never, { "active": "active"; "loaded": "loaded"; "content": "content"; "prerender": "prerender"; }, {}, never, never>;
}
